Subject: Re: bug#70908: 29.3; Indentation breaks in csharp-mode
From: Eli Zaretskii <[email-masked]>
To: Mads Kyed <[email-masked]>
Cc: [email-masked]
Date: Mon, 13 May 2024 09:01:09 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sun, 12 May 2024 19:13:35 +0200
> From: Mads Kyed <[email-masked]>
> 
> Hi,
> 
> In csharp-mode the indentation breaks if the keyword "new" is
> used somewhere in a file. For example:
> 
> class A
> {
>       List<int> a = new List<int>();
> }
> 
> Placing the cursor after ; and pressing Return twice, it becomes
> apparent that the indentation no longer works. If the "new" keyword is
> removed, indentation works again.
> 
> It seems there is some new logic (introduced in version 29.3) in the 
> function
> "csharp-guess-basic-syntax" that is responsible for the behaviour
> above.

Thanks.  I can reproduce this in Emacs 29.3, but not on the current
emacs-29 branch or the master branch (which will become Emacs 30).  So
I assume this was already fixed, and I'm therefore closing this bug.